RecordingState (Java SE 25 & JDK 25)
Description: declaration: module: jdk.jfr, package: jdk.jfr, enum: RecordingState
Keywords: jdk.jfr.RecordingState class

# Enum Class RecordingState

java.lang.Object
java.lang.Enum<RecordingState>
jdk.jfr.RecordingState

All Implemented Interfaces:
  `Serializable, Comparable<RecordingState>, Constable`

public enum RecordingState extends Enum<RecordingState>
Indicates a state in the life cycle of a recording.

Since:
  9

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSED`
  The recording is closed and all resources that are associated with the recording are released.
  `DELAYED`
  The recording is scheduled to start with a start time in the future.
  `NEW`
  The initial state when a `Recording` is created.
  `RUNNING`
  The recording is recording data and an invocation of the `Recording.stop()` method will transition the recording to the `STOPPED` state.
  `STOPPED`
  The recording is stopped and is holding recorded data that can be dumped to disk.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecordingState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RecordingState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final RecordingState NEW
    The initial state when a `Recording` is created.

  - ### DELAYED

    public static final RecordingState DELAYED
    The recording is scheduled to start with a start time in the future.

    An invocation of the `Recording.start()` method will transition the recording to the `RUNNING` state.

  - ### RUNNING

    public static final RecordingState RUNNING
    The recording is recording data and an invocation of the `Recording.stop()` method will transition the recording to the `STOPPED` state.

  - ### STOPPED

    public static final RecordingState STOPPED
    The recording is stopped and is holding recorded data that can be dumped to disk.

    An invocation of the `Recording.close()` method will release the data and transition the recording to the `CLOSED` state.

  - ### CLOSED

    public static final RecordingState CLOSED
    The recording is closed and all resources that are associated with the recording are released.

    Nothing that can be done with a recording from this point, and it's no longer retrievable from the `FlightRecorder.getRecordings()` method.

- ## Method Details

  - ### values

    public static RecordingState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RecordingState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null